/*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include "DrvI2C.h"
#include "DrvHWI2C.h"
#include "HY2613.h"
#include "seg7.h"

/*--------------------------------------------------------------------------*/
/* Clear LCD RAM Data                                                       */
/*--------------------------------------------------------------------------*/
void ClearLCDframe(void)
{
  int i=0;
  for(i=0;i<11;i++)
  {
    DisplayBuffer[i]=0x00;
  }
  RAM2LCD(DisplayBuffer,11);
}

/*----------------------------------------------------------------------------*/
/* Display HYcon Char                                                         */
/*----------------------------------------------------------------------------*/
void DisplayHYcon(void)
{
  #define offset 2
  DisplayBuffer[offset+0]=0x00;
  DisplayBuffer[offset+1]=Char_H;
  DisplayBuffer[offset+2]=Char_Y;
  DisplayBuffer[offset+3]=Char_c;
  DisplayBuffer[offset+4]=Char_o;
  DisplayBuffer[offset+5]=Char_n;
  RAM2LCD(DisplayBuffer,11);
}

/*--------------------------------------------------------------------*/
/* LCD RAM Data                                                       */
/*--------------------------------------------------------------------*/
void LCD_DATA_DISPLAY(unsigned int LcdBuffer)
{
  int k;
  for(k=7;k>=2;k--)
  {
    DisplayBuffer[k]=seg[LcdBuffer%10];
    LcdBuffer=LcdBuffer/10;
  }
  DisplayBuffer[8]=S_Bat1|S_Bat2|S_Bat3|S_Bat4;
  DisplayBuffer[9]=0x00;
  DisplayBuffer[10]=S18|S19|S20|S21;
  RAM2LCD(DisplayBuffer,11);
} 



void LCD_DATA_DISPLAY_3(unsigned int LcdBuffer)
{
  int i;
  for(i=7;i>=6;i--)
  {
    DisplayBuffer[i]=seg[LcdBuffer%10];
    LcdBuffer=LcdBuffer/10;
  }
  DisplayBuffer[8]=0x00;
  ///DisplayBuffer[9]=S|9|S10;
  //DisplayBuffer[10]=S18|S19|S20|S21;
  DisplayBuffer[10]=0x00;
  RAM2LCD(DisplayBuffer,11);
}

void LCD_DATA_DISPLAY_1(unsigned int LcdBuffer)
{
	int s3;
	  s3=LcdBuffer%10;
			  if(s3==0) DisplayBuffer[3]=0xbf;
			  if(s3==1) DisplayBuffer[3]=0x07;
			  if(s3==2) DisplayBuffer[3]=0x7d;
			  if(s3==3) DisplayBuffer[3]=0x5f;
			  if(s3==4) DisplayBuffer[3]=0xc7;
			  if(s3==5) DisplayBuffer[3]=0xdb;
			  if(s3==6) DisplayBuffer[3]=0xfb;
			  if(s3==7) DisplayBuffer[3]=0x8f;
			  if(s3==8) DisplayBuffer[3]=0xff;
			  if(s3==9) DisplayBuffer[3]=0xdf;
			  LcdBuffer=LcdBuffer/10;
			  DisplayBuffer[2]=seg[LcdBuffer%10];
}
void LCD_DATA_DISPLAY_2(unsigned int LcdBuffer)
  {
	int s3;
	  s3=LcdBuffer%10;
	  	  	  if(s3==0) DisplayBuffer[5]=0xbf;
	 		  if(s3==1) DisplayBuffer[5]=0x07;
	 	      if(s3==2) DisplayBuffer[5]=0x7d;
	 		  if(s3==3) DisplayBuffer[5]=0x5f;
	 		  if(s3==4) DisplayBuffer[5]=0xc7;
	 		  if(s3==5) DisplayBuffer[5]=0xdb;
	 		  if(s3==6) DisplayBuffer[5]=0xfb;
	 		  if(s3==7) DisplayBuffer[5]=0x8f;
	 		  if(s3==8) DisplayBuffer[5]=0xff;
	 		  if(s3==9) DisplayBuffer[5]=0xdf;
			  LcdBuffer=LcdBuffer/10;
			  DisplayBuffer[4]=seg[LcdBuffer%10];
  }

void LCD_DATA_DISPLAY_4(unsigned int LcdBuffer)
{
	 int i;
	  for(i=7;i>=4;i--)
	  {
	    DisplayBuffer[i]=seg[LcdBuffer%10];
	    LcdBuffer=LcdBuffer/10;
	  }
	  DisplayBuffer[8]=0x00;
	  ///DisplayBuffer[9]=S|9|S10;
	  //DisplayBuffer[10]=S18|S19|S20|S21;
	  DisplayBuffer[10]=0x00;
	  DisplayBuffer[2]=0x00;
	  DisplayBuffer[3]=0x00;
	  RAM2LCD(DisplayBuffer,11);
}















